ExtensionInstallations

Get an installation

Returns one installation with its permissions, scope, send mode, and webhook endpoint.

GET
/v1/extension-installations/{id}

Returns one installation with its permissions, scope, send mode, and webhook endpoint.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^exti_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

ExtensionInstallation

application/json
  1. response
id*ExtensionInstallationId
Match^exti_[0-9a-hjkmnp-tv-z]{16,24}$
extensionId*ExtensionId
Match^ext_[0-9a-hjkmnp-tv-z]{16,24}$
name*string
displayName*string
version*
runtime*string
Value in"hosted""webhook"
status*string
Value in"active""disabled"
createdAt*string
events*array<>
permissions*array<>
sendMode*string
Value in"send""approval"
scope*
webhook*|null
updatedAt*string
disabledAt*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.extensionInstallations.get({  "id": "example"});
Example Response
{  "id": "string",  "extensionId": "string",  "name": "string",  "displayName": "string",  "version": {    "id": "string",    "version": "string"  },  "runtime": "hosted",  "status": "active",  "createdAt": "string",  "events": [    "mailbox.message.received"  ],  "permissions": [    "read"  ],  "sendMode": "send",  "scope": {    "mailboxIds": [      "string"    ],    "namespaceId": "string"  },  "webhook": {    "endpointId": "string",    "url": "string"  },  "updatedAt": "string",  "disabledAt": "string"}

Related documentation